#include <stdio.h>
#include <unistd.h>
#include <math.h>
#include <string.h>
#include "sac.h"
#include "regexp.h"
#include "evresp.h"

int read_sac(FILE *, int, struct sac *, float **);
int write_sac(FILE *, struct sac *, float *);
char *get_netcode(char *);
void four1(float *, unsigned long, int);
float get_mean(float *, int);
void taper(float *data_ptr, int npts, float fraction);

#define READ_DATA 1
#define FLDLEN 4
#define MAX(a,b) ((a) >= (b) ? (a) : (b))

struct evalresp_args {
    char  sta[STALEN];
    char  chan[CHALEN];
    char  net[NETLEN];
    int   year;
    int   jday;
    int   hour;
    int   min;
    float sec;
    float min_freq;
    float max_freq;
    int   nfreqs;
    char  units[FLDLEN];
    char  resp_type[FLDLEN];
    char  spacing[FLDLEN];
    char  resp_file[MAXLINELEN];
};

